ONVIF::Device::Types::PTZPresetTourSpot(3)

NAME
ONVIF::Device::Types::PTZPresetTourSpot

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourSpot from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PresetDetail

•   Speed

•   StayTime

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PTZPresetTourSpot
   PresetDetail =>    { # ONVIF::Device::Types::PTZPresetTourPresetDetail
     # One of the following elements.
     # No occurrence checks yet, so be sure to pass just one...
     PresetToken => $some_value, # ReferenceToken
     Home =>  $some_value, # boolean
     PTZPosition =>  { # ONVIF::Device::Types::PTZVector
       PanTilt => ,
       Zoom => ,
     },
     TypeExtension =>  { # ONVIF::Device::Types::PTZPresetTourTypeExtension
     },
   },
   Speed =>  { # ONVIF::Device::Types::PTZSpeed
     PanTilt => ,
     Zoom => ,
   },
   StayTime =>  $some_value, # duration
   Extension =>  { # ONVIF::Device::Types::PTZPresetTourSpotExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL